1

I am getting the following errors when I install mysql-sever.

lubuntu@lubuntu:~$ sudo apt install mysql-server
Reading package lists... Done
Building dependency tree      
Reading state information... Done
The following additional packages will be installed:
  libaio1 libcgi-fast-perl libcgi-pm-perl libevent-core-2.1-6 libfcgi-perl
  libhtml-template-perl mysql-client-5.7 mysql-client-core-5.7
  mysql-server-5.7 mysql-server-core-5.7
Suggested packages:
  libipc-sharedcache-perl mailx tinyca
The following NEW packages will be installed:
  libaio1 libcgi-fast-perl libcgi-pm-perl libevent-core-2.1-6 libfcgi-perl
  libhtml-template-perl mysql-client-5.7 mysql-client-core-5.7 mysql-server
  mysql-server-5.7 mysql-server-core-5.7
0 upgraded, 11 newly installed, 0 to remove and 138 not upgraded.
Need to get 20.8 MB of archives.
After this operation, 160 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://archive.ubuntu.com/ubuntu cosmic/main amd64 libaio1 amd64 0.3.111-1 [7224 B]
Get:2 http://security.ubuntu.com/ubuntu cosmic-security/main amd64 mysql-client-core-5.7 amd64 5.7.24-0ubuntu0.18.10.1 [7034 kB]
Get:3 http://archive.ubuntu.com/ubuntu cosmic/main amd64 libevent-core-2.1-6 amd64 2.1.8-stable-4build1 [85.9 kB]
Get:4 http://archive.ubuntu.com/ubuntu cosmic/main amd64 libcgi-pm-perl all 4.40-1 [186 kB]
Get:5 http://archive.ubuntu.com/ubuntu cosmic/main amd64 libfcgi-perl amd64 0.78-2build1 [32.8 kB]
Get:6 http://archive.ubuntu.com/ubuntu cosmic/main amd64 libcgi-fast-perl all 1:2.13-1 [9940 B]
Get:7 http://archive.ubuntu.com/ubuntu cosmic/main amd64 libhtml-template-perl all 2.97-1 [59.0 kB]
Get:8 http://security.ubuntu.com/ubuntu cosmic-security/main amd64 mysql-client-5.7 amd64 5.7.24-0ubuntu0.18.10.1 [2302 kB]
Get:9 http://security.ubuntu.com/ubuntu cosmic-security/main amd64 mysql-server-core-5.7 amd64 5.7.24-0ubuntu0.18.10.1 [7835 kB]
Get:10 http://security.ubuntu.com/ubuntu cosmic-security/main amd64 mysql-server-5.7 amd64 5.7.24-0ubuntu0.18.10.1 [3238 kB]
Get:11 http://security.ubuntu.com/ubuntu cosmic-security/main amd64 mysql-server all 5.7.24-0ubuntu0.18.10.1 [9956 B]
Fetched 20.8 MB in 8s (2598 kB/s)                                          
Preconfiguring packages ...
Selecting previously unselected package libaio1:amd64.
(Reading database ... 243259 files and directories currently installed.)
Preparing to unpack .../00-libaio1_0.3.111-1_amd64.deb ...
Unpacking libaio1:amd64 (0.3.111-1) ...
Selecting previously unselected package mysql-client-core-5.7.
Preparing to unpack .../01-mysql-client-core-5.7_5.7.24-0ubuntu0.18.10.1_amd64.deb ...
Unpacking mysql-client-core-5.7 (5.7.24-0ubuntu0.18.10.1) ...
Selecting previously unselected package mysql-client-5.7.
Preparing to unpack .../02-mysql-client-5.7_5.7.24-0ubuntu0.18.10.1_amd64.deb ...
Unpacking mysql-client-5.7 (5.7.24-0ubuntu0.18.10.1) ...
Selecting previously unselected package mysql-server-core-5.7.
Preparing to unpack .../03-mysql-server-core-5.7_5.7.24-0ubuntu0.18.10.1_amd64.deb ...
Unpacking mysql-server-core-5.7 (5.7.24-0ubuntu0.18.10.1) ...
Selecting previously unselected package libevent-core-2.1-6:amd64.
Preparing to unpack .../04-libevent-core-2.1-6_2.1.8-stable-4build1_amd64.deb ...
Unpacking libevent-core-2.1-6:amd64 (2.1.8-stable-4build1) ...
Selecting previously unselected package mysql-server-5.7.
Preparing to unpack .../05-mysql-server-5.7_5.7.24-0ubuntu0.18.10.1_amd64.deb ...
Unpacking mysql-server-5.7 (5.7.24-0ubuntu0.18.10.1) ...
Selecting previously unselected package libcgi-pm-perl.
Preparing to unpack .../06-libcgi-pm-perl_4.40-1_all.deb ...
Unpacking libcgi-pm-perl (4.40-1) ...
Selecting previously unselected package libfcgi-perl.
Preparing to unpack .../07-libfcgi-perl_0.78-2build1_amd64.deb ...
Unpacking libfcgi-perl (0.78-2build1) ...
Selecting previously unselected package libcgi-fast-perl.
Preparing to unpack .../08-libcgi-fast-perl_1%3a2.13-1_all.deb ...
Unpacking libcgi-fast-perl (1:2.13-1) ...
Selecting previously unselected package libhtml-template-perl.
Preparing to unpack .../09-libhtml-template-perl_2.97-1_all.deb ...
Unpacking libhtml-template-perl (2.97-1) ...
Selecting previously unselected package mysql-server.
Preparing to unpack .../10-mysql-server_5.7.24-0ubuntu0.18.10.1_all.deb ...
Unpacking mysql-server (5.7.24-0ubuntu0.18.10.1) ...
Setting up libevent-core-2.1-6:amd64 (2.1.8-stable-4build1) ...
Processing triggers for libc-bin (2.28-0ubuntu1) ...
Setting up libaio1:amd64 (0.3.111-1) ...
Processing triggers for systemd (239-7ubuntu10) ...
Setting up libcgi-pm-perl (4.40-1) ...
Processing triggers for man-db (2.8.4-2) ...
Setting up mysql-client-core-5.7 (5.7.24-0ubuntu0.18.10.1) ...
Setting up libfcgi-perl (0.78-2build1) ...
Setting up libhtml-template-perl (2.97-1) ...
Setting up mysql-server-core-5.7 (5.7.24-0ubuntu0.18.10.1) ...
Setting up libcgi-fast-perl (1:2.13-1) ...
Setting up mysql-client-5.7 (5.7.24-0ubuntu0.18.10.1) ...
Setting up mysql-server-5.7 (5.7.24-0ubuntu0.18.10.1) ...
update-alternatives: using /etc/mysql/mysql.cnf to provide /etc/mysql/my.cnf (my.cnf) in auto mode
Renaming removed key_buffer and myisam-recover options (if present)
Created symlink /etc/systemd/system/multi-user.target.wants/mysql.service → /lib/systemd/system/mysql.service.
Job for mysql.service failed because the control process exited with error code.
See "systemctl status mysql.service" and "journalctl -xe" for details.
invoke-rc.d: initscript mysql, action "start" failed.
● mysql.service - MySQL Community Server
   Loaded: loaded (/lib/systemd/system/mysql.service; enabled; vendor preset: enabled)
   Active: activating (auto-restart) (Result: exit-code) since Sat 2019-01-05 17:08:57 UTC; 8ms ago
  Process: 2726 ExecStartPre=/usr/share/mysql/mysql-systemd-start pre (code=exited, status=1/FAILURE)                                                    

Jan 05 17:08:57 lubuntu systemd[1]: mysql.service: Control process exited, code=exited status=1
Jan 05 17:08:57 lubuntu systemd[1]: mysql.service: Failed with result 'exit-code'.
Jan 05 17:08:57 lubuntu systemd[1]: Failed to start MySQL Community Server.
dpkg: error processing package mysql-server-5.7 (--configure):
 installed mysql-server-5.7 package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of mysql-server:
 mysql-server depends on mysql-server-5.7; however:
  Package mysql-server-5.7 is not configured yet.

dpkg: error processing package mysql-server (--configure):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.28-0ubuntu1) ...
No apport report written because the error message indicates its a followup error from a previous failure.
                             Processing triggers for systemd (239-7ubuntu10) ...
Errors were encountered while processing:
 mysql-server-5.7
 mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.